Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[GCC-GLIBC-Moz] Versions needed to compile firefox?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
sno35
Guru
Guru


Joined: 15 May 2004
Posts: 334
Location: Paris, France

PostPosted: Wed Jul 28, 2004 6:50 pm    Post subject: [GCC-GLIBC-Moz] Versions needed to compile firefox? Reply with quote

Hello
I've tried to compile firefox 0.9.1 with gcc 3.3.3_pre20040408-r1
and glibc 2.3.3.20040420 but it coredumps.
I've read here somebody succeeded with a version of gcc that is hard masked as testing.
As I could not find what is the difference between masked and hard masked,
what are the drawbacks of the 3.3.3_pre20040426 version of gcc ?
Thanks in advance.
Sno.
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Wed Jul 28, 2004 9:33 pm    Post subject: Reply with quote

Hi,

I am writing this message with firefox 0.9.1.
I compiled it with gcc-3.3.3_pre20040408-r1 and
glibc-2.3.3.20040420.

And it works very well most of the time (I have found a couple
of sites that crashes it but I don't really need to access those).
The biggest problem is no java plug-in as far as I am concerned.
I have been using this release of firefox compiled that way for
almost as long as the ebuild as been available on ~ppc.

Are you sure it is not something from your FLAGS or may be
you should recompile some libraries like libpng of which firefox
is heavily dependent?

Cheers,
Francois
Back to top
View user's profile Send private message
ruben
Guru
Guru


Joined: 04 Jul 2003
Posts: 462

PostPosted: Thu Jul 29, 2004 8:32 am    Post subject: Reply with quote

I'd recommend that too... recompile your 'libpng', and it's also good to have "-fno-strict-aliasing" in your CFLAGS (allthough the ebuild for mozilla-firefox makes sure this flag is used). I have the afore-mentioned glibc and gcc, and a working mozilla-firefox 0.9.1.
Back to top
View user's profile Send private message
sno35
Guru
Guru


Joined: 15 May 2004
Posts: 334
Location: Paris, France

PostPosted: Fri Jul 30, 2004 7:00 pm    Post subject: Thank you guys Reply with quote

I will give it a new try tomorrow.
Back to top
View user's profile Send private message
sno35
Guru
Guru


Joined: 15 May 2004
Posts: 334
Location: Paris, France

PostPosted: Sat Jul 31, 2004 4:25 pm    Post subject: Useless subject as it is a response ;) Reply with quote

Thank you again : the new compilation yielded a working firefox.
I'm writing this post with it :)
I don't know what made the difference, but I followed the advice about libpng
and upgraded from build 1.2.5-r6 to 1.2.5-r7.
Back to top
View user's profile Send private message
ruben
Guru
Guru


Joined: 04 Jul 2003
Posts: 462

PostPosted: Sat Jul 31, 2004 5:16 pm    Post subject: Reply with quote

I've noticed that libpng had to be recompiled after the glibc and gcc upgrade. (allthough that's already some time ago...)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum